Subject: bug#61736: closed (Re: bug#61736: Fix typos in docstrings in c-ts-common.el)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Feb 2023 04:52:02 +0000

Your bug report

#61736: Fix typos in docstrings in c-ts-common.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61736: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61736
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61736: Fix typos in docstrings in c-ts-common.el
From: Yuan Fu <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked],Daniel Martín <[email-masked]>
Date: Fri, 24 Feb 2023 20:50:48 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 23 Feb 2023 18:32:58 +0100
>> From:  Daniel Martín via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> I've attached a patch to fix a couple of typos in c-ts-common.el.
>
> Thanks.
>
>>  (defun c-ts-common-statement-offset (node parent &rest _)
>> -  "This anchor is used for children of a statement inside a block.
>> +  "Return an offset for children of a statement inside a block.
>
> Is the new text really accurate?  The rest of the doc string doesn'
> mention "offset" even once, and without explaining what kind of
> "offset" is this, the first sentence could mislead and confuse.
>
> So I think this part of the patch "needs more work".
>
> I installed the first part, thanks.

The second part is valid. I applied it with some minor change, thanks!

Yuan

Subject: Fix typos in docstrings in c-ts-common.el
From: Daniel Martín <[email-masked]>
To: [email-masked]
Date: Thu, 23 Feb 2023 18:32:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

I've attached a patch to fix a couple of typos in c-ts-common.el.

>From 3f110b0f7de1bd1f1e00b39fc48608ef9ef189c6 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Mart=C3=ADn?= <[email-masked]>
Date: Thu, 23 Feb 2023 18:30:36 +0100
Subject: [PATCH] ; Fix typos in docstrings in c-ts-common.el

---
 lisp/progmodes/c-ts-common.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/progmodes/c-ts-common.el b/lisp/progmodes/c-ts-common.el
index 8262e6261d4..55a6ab64aa3 100644
--- a/lisp/progmodes/c-ts-common.el
+++ b/lisp/progmodes/c-ts-common.el
@@ -268,7 +268,7 @@ c-ts-common-indent-offset
 statement indent functions to work.")
 
 (defvar c-ts-common-indent-type-regexp-alist nil
-  "An alist of of node type regexps.
+  "An alist of node type regexps.
 
 Each key in the alist is one of `if', `else', `do', `while',
 `for', `block', `close-bracket'.  Each value in the alist
@@ -313,7 +313,7 @@ c-ts-common--node-is
     nil))
 
 (defun c-ts-common-statement-offset (node parent &rest _)
-  "This anchor is used for children of a statement inside a block.
+  "Return an offset for children of a statement inside a block.
 
 This function basically counts the number of block nodes (i.e.,
 brackets) (defined by `c-ts-common-indent-block-type-regexp')
-- 
2.34.1